3

There are:

  • 458 questions tagged
  • 9 questions tagged

Of the 9 questions two are closed and none ask for anything specific to PHP5 (There's one comparison with earlier versions question, but it fits fine under ).

The distinction between PHP5 and earlier versions (namely 4) was important in the early days of PHP5 as it employed a completely rewritten engine which introduced quite a lot of compatibility issues. But it's not relevant any more, as PHP4 essentially reached it's end of life in 2008.

I think doesn't make any sense on its own and probably never will, so we should merge it with . I would have used the "suggest a synonym" thingy, but since is version specific, it's up to the moderators.

I've scanned the popular language tags and I didn't find any other version specific tags lurking around, which is a good thing, we should probably avoid them as most questions that would fit them better than the language tag would probably be off topic.

2

I merged into , but opted not to create a synonym for the same reasons they're not synonyms on Stack Overflow: a synonym should be interchangeable, not merely a similar term.

I also went ahead and merged into , as the questions were being used to say "I'm using this version" instead of "I'm asking about this version," and PHP 5.3 has been out for several years.

  • I think they are interchangeable for questions that are on topic here, which might not be the case for Stack Overflow. – yannis Nov 17 '11 at 16:09
  • I partially agree with @Yannis, but I'd need to look at all of the questions asked. For the conceptual questions that we expect here, I'm not sure how much the version would matter. By the time you start talking version numbers, you're getting into implementation details and chances are the question should be on Stack Overflow and not here. – Thomas Owens Nov 17 '11 at 18:43
  • @YannisRizos and Thomas: consider that in a few months, we'll be talking about PHP 5.4 and PHP 6. They're not the same thing as PHP 5.3 or PHP 5: PHP 5, PHP 5.3, PHP 5.4, and PHP 6 are subsets of PHP, but they are not identical to each other, which is what a synonym is meant for. In the past year, we've gotten about a dozen questions with the versioned tags: this isn't a huge problem that requires a synonym. – user8 Nov 18 '11 at 3:56
  • Good enough for me. Appropriate retagging may solve the problem and I can see how a php5.4 tag may be relevant as the version introduces traits and will provide for a few conceptual questions. – yannis Nov 21 '11 at 16:01

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .